<?php
require_once(getabspath("classes/cipherer.php"));
$tdatasenuc_descomplica_avaliacao = array();
	$tdatasenuc_descomplica_avaliacao[".NumberOfChars"] = 80; 
	$tdatasenuc_descomplica_avaliacao[".ShortName"] = "senuc_descomplica_avaliacao";
	$tdatasenuc_descomplica_avaliacao[".OwnerID"] = "";
	$tdatasenuc_descomplica_avaliacao[".OriginalTable"] = "senuc_descomplica_avaliacao";

//	field labels
$fieldLabelssenuc_descomplica_avaliacao = array();
if(mlang_getcurrentlang()=="Portuguese(Brazil)")
{
	$fieldLabelssenuc_descomplica_avaliacao["Portuguese(Brazil)"] = array();
	$fieldToolTipssenuc_descomplica_avaliacao["Portuguese(Brazil)"] = array();
	$fieldLabelssenuc_descomplica_avaliacao["Portuguese(Brazil)"]["id"] = "Id";
	$fieldToolTipssenuc_descomplica_avaliacao["Portuguese(Brazil)"]["id"] = "";
	$fieldLabelssenuc_descomplica_avaliacao["Portuguese(Brazil)"]["id_aluno"] = "Aluno";
	$fieldToolTipssenuc_descomplica_avaliacao["Portuguese(Brazil)"]["id_aluno"] = "";
	$fieldLabelssenuc_descomplica_avaliacao["Portuguese(Brazil)"]["mes"] = "Mes";
	$fieldToolTipssenuc_descomplica_avaliacao["Portuguese(Brazil)"]["mes"] = "";
	$fieldLabelssenuc_descomplica_avaliacao["Portuguese(Brazil)"]["ano"] = "Ano";
	$fieldToolTipssenuc_descomplica_avaliacao["Portuguese(Brazil)"]["ano"] = "";
	$fieldLabelssenuc_descomplica_avaliacao["Portuguese(Brazil)"]["avaliacao"] = "Avaliacao";
	$fieldToolTipssenuc_descomplica_avaliacao["Portuguese(Brazil)"]["avaliacao"] = "";
	$fieldLabelssenuc_descomplica_avaliacao["Portuguese(Brazil)"]["operador"] = "Operador";
	$fieldToolTipssenuc_descomplica_avaliacao["Portuguese(Brazil)"]["operador"] = "";
	$fieldLabelssenuc_descomplica_avaliacao["Portuguese(Brazil)"]["data"] = "Data";
	$fieldToolTipssenuc_descomplica_avaliacao["Portuguese(Brazil)"]["data"] = "";
	if (count($fieldToolTipssenuc_descomplica_avaliacao["Portuguese(Brazil)"]))
		$tdatasenuc_descomplica_avaliacao[".isUseToolTips"] = true;
}
	
	
	$tdatasenuc_descomplica_avaliacao[".NCSearch"] = true;



$tdatasenuc_descomplica_avaliacao[".shortTableName"] = "senuc_descomplica_avaliacao";
$tdatasenuc_descomplica_avaliacao[".nSecOptions"] = 0;
$tdatasenuc_descomplica_avaliacao[".recsPerRowList"] = 1;
$tdatasenuc_descomplica_avaliacao[".mainTableOwnerID"] = "";
$tdatasenuc_descomplica_avaliacao[".moveNext"] = 1;
$tdatasenuc_descomplica_avaliacao[".nType"] = 0;

$tdatasenuc_descomplica_avaliacao[".strOriginalTableName"] = "senuc_descomplica_avaliacao";




$tdatasenuc_descomplica_avaliacao[".showAddInPopup"] = true;

$tdatasenuc_descomplica_avaliacao[".showEditInPopup"] = true;

$tdatasenuc_descomplica_avaliacao[".showViewInPopup"] = true;

$tdatasenuc_descomplica_avaliacao[".fieldsForRegister"] = array();

$tdatasenuc_descomplica_avaliacao[".listAjax"] = false;

	$tdatasenuc_descomplica_avaliacao[".audit"] = false;

	$tdatasenuc_descomplica_avaliacao[".locking"] = false;

$tdatasenuc_descomplica_avaliacao[".listIcons"] = true;

$tdatasenuc_descomplica_avaliacao[".exportTo"] = true;

$tdatasenuc_descomplica_avaliacao[".printFriendly"] = true;


$tdatasenuc_descomplica_avaliacao[".showSimpleSearchOptions"] = false;

$tdatasenuc_descomplica_avaliacao[".showSearchPanel"] = true;

if (isMobile())
	$tdatasenuc_descomplica_avaliacao[".isUseAjaxSuggest"] = false;
else 
	$tdatasenuc_descomplica_avaliacao[".isUseAjaxSuggest"] = true;

$tdatasenuc_descomplica_avaliacao[".rowHighlite"] = true;

// button handlers file names

$tdatasenuc_descomplica_avaliacao[".addPageEvents"] = false;

// use timepicker for search panel
$tdatasenuc_descomplica_avaliacao[".isUseTimeForSearch"] = false;




$tdatasenuc_descomplica_avaliacao[".allSearchFields"] = array();

$tdatasenuc_descomplica_avaliacao[".allSearchFields"][] = "id_aluno";
$tdatasenuc_descomplica_avaliacao[".allSearchFields"][] = "mes";
$tdatasenuc_descomplica_avaliacao[".allSearchFields"][] = "ano";
$tdatasenuc_descomplica_avaliacao[".allSearchFields"][] = "avaliacao";
$tdatasenuc_descomplica_avaliacao[".allSearchFields"][] = "operador";
$tdatasenuc_descomplica_avaliacao[".allSearchFields"][] = "data";

$tdatasenuc_descomplica_avaliacao[".googleLikeFields"][] = "id";
$tdatasenuc_descomplica_avaliacao[".googleLikeFields"][] = "id_aluno";
$tdatasenuc_descomplica_avaliacao[".googleLikeFields"][] = "mes";
$tdatasenuc_descomplica_avaliacao[".googleLikeFields"][] = "ano";
$tdatasenuc_descomplica_avaliacao[".googleLikeFields"][] = "avaliacao";
$tdatasenuc_descomplica_avaliacao[".googleLikeFields"][] = "operador";
$tdatasenuc_descomplica_avaliacao[".googleLikeFields"][] = "data";


$tdatasenuc_descomplica_avaliacao[".advSearchFields"][] = "id_aluno";
$tdatasenuc_descomplica_avaliacao[".advSearchFields"][] = "mes";
$tdatasenuc_descomplica_avaliacao[".advSearchFields"][] = "ano";
$tdatasenuc_descomplica_avaliacao[".advSearchFields"][] = "avaliacao";
$tdatasenuc_descomplica_avaliacao[".advSearchFields"][] = "operador";
$tdatasenuc_descomplica_avaliacao[".advSearchFields"][] = "data";

$tdatasenuc_descomplica_avaliacao[".isTableType"] = "list";

	



// Access doesn't support subqueries from the same table as main



$tdatasenuc_descomplica_avaliacao[".pageSize"] = 20;

$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatasenuc_descomplica_avaliacao[".strOrderBy"] = $tstrOrderBy;

$tdatasenuc_descomplica_avaliacao[".orderindexes"] = array();

$tdatasenuc_descomplica_avaliacao[".sqlHead"] = "SELECT id,   id_aluno,   mes,   ano,   avaliacao,   operador,   `data`";
$tdatasenuc_descomplica_avaliacao[".sqlFrom"] = "FROM senuc_descomplica_avaliacao";
$tdatasenuc_descomplica_avaliacao[".sqlWhereExpr"] = "";
$tdatasenuc_descomplica_avaliacao[".sqlTail"] = "";




//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatasenuc_descomplica_avaliacao[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatasenuc_descomplica_avaliacao[".arrGroupsPerPage"] = $arrGPP;

$tableKeyssenuc_descomplica_avaliacao = array();
$tableKeyssenuc_descomplica_avaliacao[] = "id";
$tdatasenuc_descomplica_avaliacao[".Keys"] = $tableKeyssenuc_descomplica_avaliacao;

$tdatasenuc_descomplica_avaliacao[".listFields"] = array();
$tdatasenuc_descomplica_avaliacao[".listFields"][] = "id_aluno";
$tdatasenuc_descomplica_avaliacao[".listFields"][] = "mes";
$tdatasenuc_descomplica_avaliacao[".listFields"][] = "ano";
$tdatasenuc_descomplica_avaliacao[".listFields"][] = "avaliacao";
$tdatasenuc_descomplica_avaliacao[".listFields"][] = "operador";
$tdatasenuc_descomplica_avaliacao[".listFields"][] = "data";

$tdatasenuc_descomplica_avaliacao[".viewFields"] = array();

$tdatasenuc_descomplica_avaliacao[".addFields"] = array();

$tdatasenuc_descomplica_avaliacao[".inlineAddFields"] = array();

$tdatasenuc_descomplica_avaliacao[".editFields"] = array();

$tdatasenuc_descomplica_avaliacao[".inlineEditFields"] = array();

$tdatasenuc_descomplica_avaliacao[".exportFields"] = array();
$tdatasenuc_descomplica_avaliacao[".exportFields"][] = "id_aluno";
$tdatasenuc_descomplica_avaliacao[".exportFields"][] = "mes";
$tdatasenuc_descomplica_avaliacao[".exportFields"][] = "ano";
$tdatasenuc_descomplica_avaliacao[".exportFields"][] = "avaliacao";
$tdatasenuc_descomplica_avaliacao[".exportFields"][] = "operador";
$tdatasenuc_descomplica_avaliacao[".exportFields"][] = "data";

$tdatasenuc_descomplica_avaliacao[".printFields"] = array();
$tdatasenuc_descomplica_avaliacao[".printFields"][] = "id_aluno";
$tdatasenuc_descomplica_avaliacao[".printFields"][] = "mes";
$tdatasenuc_descomplica_avaliacao[".printFields"][] = "ano";
$tdatasenuc_descomplica_avaliacao[".printFields"][] = "avaliacao";
$tdatasenuc_descomplica_avaliacao[".printFields"][] = "operador";
$tdatasenuc_descomplica_avaliacao[".printFields"][] = "data";

//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "senuc_descomplica_avaliacao";
	$fdata["Label"] = "Id"; 
	$fdata["FieldType"] = 3;
	
		
		
		
		
		
		
		
		
		
		
		
		$fdata["strField"] = "id"; 
		$fdata["FullName"] = "id";
	
		
		
				
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_descomplica_avaliacao["id"] = $fdata;
//	id_aluno
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "id_aluno";
	$fdata["GoodName"] = "id_aluno";
	$fdata["ownerTable"] = "senuc_descomplica_avaliacao";
	$fdata["Label"] = "Aluno"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "id_aluno"; 
		$fdata["FullName"] = "id_aluno";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Lookup wizard");
	
		
		
	
//	Begin Lookup settings
								$edata["LookupType"] = 2;
	$edata["freeInput"] = 0;
	$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
				
		
			
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "nome";
	
		
	$edata["LookupTable"] = "senuc_aluno";
	$edata["LookupOrderBy"] = "";
	
		
		
		
		
		
				
	
	
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_descomplica_avaliacao["id_aluno"] = $fdata;
//	mes
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "mes";
	$fdata["GoodName"] = "mes";
	$fdata["ownerTable"] = "senuc_descomplica_avaliacao";
	$fdata["Label"] = "Mes"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "mes"; 
		$fdata["FullName"] = "mes";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_descomplica_avaliacao["mes"] = $fdata;
//	ano
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "ano";
	$fdata["GoodName"] = "ano";
	$fdata["ownerTable"] = "senuc_descomplica_avaliacao";
	$fdata["Label"] = "Ano"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "ano"; 
		$fdata["FullName"] = "ano";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_descomplica_avaliacao["ano"] = $fdata;
//	avaliacao
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "avaliacao";
	$fdata["GoodName"] = "avaliacao";
	$fdata["ownerTable"] = "senuc_descomplica_avaliacao";
	$fdata["Label"] = "Avaliacao"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "avaliacao"; 
		$fdata["FullName"] = "avaliacao";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_descomplica_avaliacao["avaliacao"] = $fdata;
//	operador
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "operador";
	$fdata["GoodName"] = "operador";
	$fdata["ownerTable"] = "senuc_descomplica_avaliacao";
	$fdata["Label"] = "Operador"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "operador"; 
		$fdata["FullName"] = "operador";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Lookup wizard");
	
		
		
	
//	Begin Lookup settings
								$edata["LookupType"] = 2;
	$edata["freeInput"] = 0;
	$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
				
		
			
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "email";
	
		
	$edata["LookupTable"] = "senuc_login";
	$edata["LookupOrderBy"] = "";
	
		
		
		
		
		
				
	
	
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_descomplica_avaliacao["operador"] = $fdata;
//	data
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "data";
	$fdata["GoodName"] = "data";
	$fdata["ownerTable"] = "senuc_descomplica_avaliacao";
	$fdata["Label"] = "Data"; 
	$fdata["FieldType"] = 135;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "data"; 
		$fdata["FullName"] = "`data`";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "Short Date");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Date");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		$edata["DateEditType"] = 13; 
	$edata["InitialYearFactor"] = 100; 
	$edata["LastYearFactor"] = 10; 
	
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
		
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_descomplica_avaliacao["data"] = $fdata;

	
$tables_data["senuc_descomplica_avaliacao"]=&$tdatasenuc_descomplica_avaliacao;
$field_labels["senuc_descomplica_avaliacao"] = &$fieldLabelssenuc_descomplica_avaliacao;
$fieldToolTips["senuc_descomplica_avaliacao"] = &$fieldToolTipssenuc_descomplica_avaliacao;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["senuc_descomplica_avaliacao"] = array();
	
// tables which are master tables for current table (detail)
$masterTablesData["senuc_descomplica_avaliacao"] = array();

// -----------------end  prepare master-details data arrays ------------------------------//

require_once(getabspath("classes/sql.php"));










function createSqlQuery_senuc_descomplica_avaliacao()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id,   id_aluno,   mes,   ano,   avaliacao,   operador,   `data`";
$proto0["m_strFrom"] = "FROM senuc_descomplica_avaliacao";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
$proto0["m_strTail"] = "";
$proto0["cipherer"] = null;
$proto1=array();
$proto1["m_sql"] = "";
$proto1["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto1["m_column"]=$obj;
$proto1["m_contained"] = array();
$proto1["m_strCase"] = "";
$proto1["m_havingmode"] = "0";
$proto1["m_inBrackets"] = "0";
$proto1["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto1);

$proto0["m_where"] = $obj;
$proto3=array();
$proto3["m_sql"] = "";
$proto3["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto3["m_column"]=$obj;
$proto3["m_contained"] = array();
$proto3["m_strCase"] = "";
$proto3["m_havingmode"] = "0";
$proto3["m_inBrackets"] = "0";
$proto3["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto3);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto5=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "senuc_descomplica_avaliacao"
));

$proto5["m_expr"]=$obj;
$proto5["m_alias"] = "";
$obj = new SQLFieldListItem($proto5);

$proto0["m_fieldlist"][]=$obj;
						$proto7=array();
			$obj = new SQLField(array(
	"m_strName" => "id_aluno",
	"m_strTable" => "senuc_descomplica_avaliacao"
));

$proto7["m_expr"]=$obj;
$proto7["m_alias"] = "";
$obj = new SQLFieldListItem($proto7);

$proto0["m_fieldlist"][]=$obj;
						$proto9=array();
			$obj = new SQLField(array(
	"m_strName" => "mes",
	"m_strTable" => "senuc_descomplica_avaliacao"
));

$proto9["m_expr"]=$obj;
$proto9["m_alias"] = "";
$obj = new SQLFieldListItem($proto9);

$proto0["m_fieldlist"][]=$obj;
						$proto11=array();
			$obj = new SQLField(array(
	"m_strName" => "ano",
	"m_strTable" => "senuc_descomplica_avaliacao"
));

$proto11["m_expr"]=$obj;
$proto11["m_alias"] = "";
$obj = new SQLFieldListItem($proto11);

$proto0["m_fieldlist"][]=$obj;
						$proto13=array();
			$obj = new SQLField(array(
	"m_strName" => "avaliacao",
	"m_strTable" => "senuc_descomplica_avaliacao"
));

$proto13["m_expr"]=$obj;
$proto13["m_alias"] = "";
$obj = new SQLFieldListItem($proto13);

$proto0["m_fieldlist"][]=$obj;
						$proto15=array();
			$obj = new SQLField(array(
	"m_strName" => "operador",
	"m_strTable" => "senuc_descomplica_avaliacao"
));

$proto15["m_expr"]=$obj;
$proto15["m_alias"] = "";
$obj = new SQLFieldListItem($proto15);

$proto0["m_fieldlist"][]=$obj;
						$proto17=array();
			$obj = new SQLField(array(
	"m_strName" => "data",
	"m_strTable" => "senuc_descomplica_avaliacao"
));

$proto17["m_expr"]=$obj;
$proto17["m_alias"] = "";
$obj = new SQLFieldListItem($proto17);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto19=array();
$proto19["m_link"] = "SQLL_MAIN";
			$proto20=array();
$proto20["m_strName"] = "senuc_descomplica_avaliacao";
$proto20["m_columns"] = array();
$proto20["m_columns"][] = "id";
$proto20["m_columns"][] = "id_aluno";
$proto20["m_columns"][] = "mes";
$proto20["m_columns"][] = "ano";
$proto20["m_columns"][] = "avaliacao";
$proto20["m_columns"][] = "operador";
$proto20["m_columns"][] = "data";
$obj = new SQLTable($proto20);

$proto19["m_table"] = $obj;
$proto19["m_alias"] = "";
$proto21=array();
$proto21["m_sql"] = "";
$proto21["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto21["m_column"]=$obj;
$proto21["m_contained"] = array();
$proto21["m_strCase"] = "";
$proto21["m_havingmode"] = "0";
$proto21["m_inBrackets"] = "0";
$proto21["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto21);

$proto19["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto19);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_senuc_descomplica_avaliacao = createSqlQuery_senuc_descomplica_avaliacao();
							$tdatasenuc_descomplica_avaliacao[".sqlquery"] = $queryData_senuc_descomplica_avaliacao;
	
if(isset($tdatasenuc_descomplica_avaliacao["field2"])){
	$tdatasenuc_descomplica_avaliacao["field2"]["LookupTable"] = "carscars_view";
	$tdatasenuc_descomplica_avaliacao["field2"]["LookupOrderBy"] = "name";
	$tdatasenuc_descomplica_avaliacao["field2"]["LookupType"] = 4;
	$tdatasenuc_descomplica_avaliacao["field2"]["LinkField"] = "email";
	$tdatasenuc_descomplica_avaliacao["field2"]["DisplayField"] = "name";
	$tdatasenuc_descomplica_avaliacao[".hasCustomViewField"] = true;
}

$tableEvents["senuc_descomplica_avaliacao"] = new eventsBase;
$tdatasenuc_descomplica_avaliacao[".hasEvents"] = false;

$cipherer = new RunnerCipherer("senuc_descomplica_avaliacao");

?>